
abstract class IExampleFactory {
  int get factoryCreatedCountObjects;
}

int factoryObjCount = 0;
class ExampleFactory implements IExampleFactory {
  ExampleFactory() {
    factoryObjCount++;
  }

  @override
  int get factoryCreatedCountObjects => factoryObjCount;
}

abstract class IExampleSingleton {
  int get singletonCreatedCountObjects;
}

int singletonObjCount = 0;
class ExampleSingleton implements IExampleSingleton {
  ExampleSingleton() {
    singletonObjCount++;
  }

  @override
  int get singletonCreatedCountObjects => singletonObjCount;
}


class DependencyModuleExample {
  final String dependency;
  DependencyModuleExample(this.dependency);
}

class CustomProvideExample {

}